Prijeđi na sadržaj

Gemini Omni Flash

Integriraj

ID modela google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ovaj zahtjev: ≈1,271 $ 1.271 API kredit · ≈ 133,07 ₽ Pokreni na ovoj stranici

Nabavi API ključ
Google Tekst u video Sinkronizacija usanaBrzo3–10 s #stylized#transform#lipsync

Text-to-video izvorne verzije sa sinkroniziranim zvukom, isječcima od 3 do 10 sekundi u omjeru 16:9 ili 9:16

Google · Video

Vaš prvi rezultat bit će ovdje

Izradite zahtjev u nastavku i pokrenite ga svojim API ključem. Izlazi se kopiraju u našu pohranu i čuvaju zauvijek ili 7 dana besplatno.

Izradi zahtjev

Kontrole se generiraju iz sheme modela. Kôd i cijena ažuriraju se dok ih mijenjate.

•obavezno 88 / 20000

Tekstualni opis željenog videozapisa.

aspect_ratio zadano 16:9

Omjer stranica izlaznog videa.

zadano 8

Duljina izlaznog videa, mjerena u sekundama.

Napredno enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 cijena → 1,271 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Pokreni ovaj zahtjev

Vaš ključ ostaje u ovom pregledniku: šalje se samo Doitong API-ju i sprema u localStorage samo ako označite Zapamti. Nabavite API ključ

O modelu Gemini Omni Flash

Generira kratak video sa zvukom iz tekstualnog prompta duljine do 20000 znakova. Omjer slike je 16:9 ili 9:16, a trajanje od 3 do 10 sekundi, zadano 8. Za razliku od tekstualnog endpointa 1.1, nema postavku rezolucije i uključuje zastavicu `enable_safety_checker`, koja je zadano uključena.

Parametri

NazivVrsta ZadanoDopušteno Opis
promptobavezno
Vrstastring
≤ 20.000 znakova
Tekstualni opis željenog videozapisa.
aspect_rationeobavezno
Vrstaenum
Zadano16:9
16:99:16
Omjer stranica izlaznog videa.
durationneobavezno
Vrstainteger
Zadano8
3 – 10
Duljina izlaznog videa, mjerena u sekundama.
enable_safety_checkerneobavezno
Vrstaboolean
Zadanotrue
Provjera se može ublažiti postavljanjem na false, ako je pozivatelj ovlašten.
obavezno

Izlaz

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše datoteke, vaš izborSvaki outputs[].url kopija je u našoj pohrani: čuva se zauvijek (naplaćuje se po GB-mjesecu) ili 7 dana besplatno, prema postavci računa ili ?storage=.
Isti oblik na svakom modelutype, url, content_type, width, height i duration za slike, videozapise i zvuk. output je vlastiti objekt rezultata modela.
Polja izlaza
video
object {url, content_type, file_name, file_size}Videozapis koji je izradio model.

Više modela: Tekst u video

Za AI agente: ova je stranica u Markdownu dostupna na https://doitong.com/hr/developers/models/google/gemini-omni-flash.md. Svi modeli i vodiči: https://doitong.com/developers/llms.txt